Bug 187385 - CVE-2006-1058 BusyBox passwd command fails to generate password with salt
CVE-2006-1058 BusyBox passwd command fails to generate password with salt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: busybox (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
impact=low,reported=20060329,source=v...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 12:34 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0244
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-30 12:34:35 EST
BusyBox passwd command fails to generate password with salt

The BusyBox passwd command does not use a proper salt when generating
passwords.  This would create an instance where a brute force attack
could take very little time.

http://bugs.busybox.net/view.php?id=604
We don't do this during install, this issue should have very minimal
impact.  This issue is also mitigated by the fact that it's only an
issue if an attacker has a copy of the shadow file.
Comment 2 RHEL Product and Program Management 2006-08-18 12:20:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Red Hat Bugzilla 2007-05-01 13:34:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0244.html

Note You need to log in before you can comment on or make changes to this bug.